Bug 1242686 - python-myhdl-0.9.0 is available
Summary: python-myhdl-0.9.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-myhdl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-07-14 00:14 UTC by Upstream Release Monitoring
Modified: 2016-12-12 12:24 UTC (History)
6 users (show)

Fixed In Version: python-myhdl-0.9.0-1.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 10:44:35 UTC


Attachments (Terms of Use)
[patch] Update to 0.9.0 (#1242686) (1.23 KB, text/x-diff)
2015-07-14 00:14 UTC, Upstream Release Monitoring
no flags Details
add Python 3 & update version (3.69 KB, patch)
2016-07-13 10:02 UTC, Dominika Krejčí
no flags Details | Diff
add Python 3 & update version (3.60 KB, patch)
2016-07-27 10:59 UTC, Dominika Krejčí
no flags Details | Diff

Description Upstream Release Monitoring 2015-07-14 00:14:27 UTC
Latest upstream release: 0.9.0
Current version/release in rawhide: 0.8.1-2.fc23
URL: http://sourceforge.net/projects/myhdl

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-07-14 00:14:39 UTC
Created attachment 1051576 [details]
[patch] Update to 0.9.0 (#1242686)

Comment 2 Upstream Release Monitoring 2015-07-14 00:18:37 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10345196

Comment 3 Petr Viktorin 2016-02-18 10:19:26 UTC
The new version adds Python 3 support, so please add python3 subpackages (or switch to Python3 entirely) when updating.

The way(s) to do this are explained in the Python packaging guidelines [0]. Let me know if I can help with this.

[0] https://fedoraproject.org/wiki/Packaging:Python

Comment 4 Petr Viktorin 2016-04-19 13:06:28 UTC
Filipe, do you need any help with the update, or with supporting to Python 3?

Comment 5 Dominika Krejčí 2016-07-13 10:02:45 UTC
Created attachment 1179177 [details]
add Python 3 & update version

Hi Filipe,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14882211

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 6 Lumír Balhar 2016-07-27 09:48:12 UTC
Hello Dominiko.

I am doing patch review. Could you please explain changes in files section - removed doc files (CHANGELOG, CHANGES, ...) and hardcoded paths?

Comment 7 Dominika Krejčí 2016-07-27 10:59:12 UTC
Created attachment 1184592 [details]
add Python 3 & update version

Hi Lumír,
there is a new patch with the new changelog log. Harcorded paths in files won't be changed, new sources are just odd.

Comment 8 Lumír Balhar 2016-07-27 12:25:47 UTC
Patch is OK.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15035073

Comment 9 Miro Hrončok 2016-08-16 10:43:31 UTC
Filipe,
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Comment 10 Upstream Release Monitoring 2016-09-07 10:38:20 UTC
churchyard's python-myhdl-0.9.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=798246

Comment 11 Filipe Rosset 2016-12-12 12:24:18 UTC
thank you guys.


Note You need to log in before you can comment on or make changes to this bug.